Bug 114756 - Connector dialog includes 4 times the entry "standard connector" in dropdown
Summary: Connector dialog includes 4 times the entry "standard connector" in dropdown
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.0.0.1 rc
Hardware: All All
: medium major
Assignee: Julien Nabet
URL:
Whiteboard: target:6.1.0 target:6.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2017-12-29 23:02 UTC by sergio.callegari
Modified: 2018-02-19 20:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of the drop down where missing strings are located (35.77 KB, image/png)
2018-01-02 15:48 UTC, sophie
Details
bt with debug symbols (11.67 KB, text/plain)
2018-02-18 10:12 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2017-12-29 23:02:38 UTC
Description:
The dropdown should include standard, line, straight and curved connector.

Steps to Reproduce:
Draw a connector, right click on it, open connector dialog.

Actual Results:  
See Description

Expected Results:
See Description


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Julien Nabet 2017-12-30 09:40:37 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 2 Julien Nabet 2017-12-30 10:17:02 UTC
Adolfo/Sophie: I tried with keyId, the dropdown box displayed 4 different keys:
- 6MMYx
- xQT3L
- p4Jfe
- 8uqYj
I searched them in https://translations.documentfoundation.org/fr/libo_ui/, I could only find the first one.
Any thoughts?
Comment 3 sophie 2018-01-02 15:48:10 UTC
Created attachment 138809 [details]
screenshot of the drop down where missing strings are located
Comment 4 sophie 2018-01-02 15:49:29 UTC
In the drop down you should have four different strings, there is only one that is translated and present in Pootle, the other ones are missing. Sophie
Comment 5 Julien Nabet 2018-02-18 10:12:23 UTC
Created attachment 139972 [details]
bt with debug symbols

On pc Debian x6-64 with master sources updated yesterday, I could still reproduce this.
I attached a bt from the location where the labels are retrieved.
Comment 6 Julien Nabet 2018-02-18 10:21:53 UTC
Sophie: it's not a Pootle pb, forget about the keyids. Only first one was correct.
I submitted a patch to review on gerrit:
https://gerrit.libreoffice.org/#/c/49924/

With it, I tested Englis-US, French and Key, it worked.
Comment 7 Julien Nabet 2018-02-18 11:27:46 UTC
For the record, I don't reproduce the bug on Windows with LO 5.4.5
=> regression.
Comment 8 Julien Nabet 2018-02-18 18:18:46 UTC
I think it's a regression from 00657aef09d854c74fb426a935a3e8b1fc390bb0
Comment 9 Commit Notification 2018-02-19 09:27:58 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2721ba03e61a476838d3c518505b05a12ad2a5b

tdf#114756: fix connector dropdown

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Julien Nabet 2018-02-19 10:53:40 UTC
Backport in 6.0 branch currently in review:
https://gerrit.libreoffice.org/#/c/49973/
Comment 11 Commit Notification 2018-02-19 12:11:29 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a42cc82de16d2fb142624a86b892f81522814698&h=libreoffice-6-0

tdf#114756: fix connector dropdown

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-02-19 14:02:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c26995f9d725a317e9ba27310ac64f5e25bb570f&h=libreoffice-6-0

Related: tdf#114756 fix up similar cases

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-02-19 20:47:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9455dc3db8a2224d8c1536613dc93a98650ee7a0

Related: tdf#114756 fix up similar cases

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.